Unit tde10r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE10R_p, DE10R_p;

function tde10r: String;

implementation

function tde10r: String;
var
M,_i,IERR :Integer;
XN,H,XK,HMIN,EPS,P :Real;
RA :Array [0..7] of Real;
Y :Array [0..1] of Real;
begin
Result := '';  {   }
M := 2;
XN := 0.75*3.14159265359;
H := 0.01;
Y[0] := Sqrt(2.0)/2.0;
Y[1] := -Y[0];
XK := 3.14159265359;
HMIN := 1.E-4;
EPS := 1.E-5;
P := 1.E-7;
DE10R(FDE10R,M,XN,Y,XK,HMIN,EPS,P,H,Y,RA,IERR);
Result := Result + Format('%s',['      XF']);
Result := Result + Format('%s',['                YF(1)']);
Result := Result + Format('%s',['           YF(2)']);
Result := Result + Format('%20.16f ',[XK]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tde10r',Result);  {     tde10r.res }
exit;
end;

end.
